Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMegaFamily.PinRegister

    java.lang.Object
      avrora.sim.mcu.ATMegaFamily.PinRegister

All Implemented Interfaces:
  ActiveRegister

Enclosing class:
  ATMegaFamily

public static class ATMegaFamily.PinRegister
extends java.lang.Object
implements ActiveRegister

The `PinRegister` class implements an active register that acts as the read register (input register) for the general purpose IO pins.

Field Summary
`protected AtmelMicrocontroller.Pin[]` | `pins`

Constructor Summary
`protected` | `ATMegaFamily.PinRegister(AtmelMicrocontroller.Pin[] p)`

Method Summary
`byte` | `read()` The `read()` method reads the 8-bit value of the IO register as a byte.
`boolean` | `readBit(int bit)` The `readBit()` method reads a single bit from the IO register.
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int num, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pins

    protected AtmelMicrocontroller.Pin[] pins

Constructor Detail

### ATMegaFamily.PinRegister

    protected ATMegaFamily.PinRegister(AtmelMicrocontroller.Pin[] p)

Method Detail

### read

    public byte read()

  Description copied from interface: `ActiveRegister`
  The `read()` method reads the 8-bit value of the IO register as a byte. For special IO registers, this may cause some action like device activity, or the actual value of the register may need to be fetched or computed.

  Specified by:
    `read` in interface `ActiveRegister`
  Returns:
    the value of the register as a byte

### readBit

    public boolean readBit(int bit)

  Description copied from interface: `ActiveRegister`
  The `readBit()` method reads a single bit from the IO register.

  Specified by:
    `readBit` in interface `ActiveRegister`
  Parameters:
    `bit` - the number of the bit to read
  Returns:
    the value of the bit as a boolean

### write

    public void write(byte val)

  Description copied from interface: `ActiveRegister`
  The `write()` method writes an 8-bit value to the IO register as a byte. For special IO registers, this may cause some action like device activity, masking/unmasking of interrupts, etc.

  Specified by:
    `write` in interface `ActiveRegister`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int num,
                         boolean val)

  Description copied from interface: `ActiveRegister`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

  Specified by:
    `writeBit` in interface `ActiveRegister`
  Parameters:
    `num` - the number of the bit to write
    `val` - the value of the bit to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD